
@Echo off
:: Check WMIC is available
WMIC.EXE Alias /? >NUL 2>&1 || GOTO s_error

:: Use WMIC to retrieve date and time
FOR /F "skip=1 tokens=1-6" %%G IN ('WMIC Path Win32_LocalTime Get Day^,Hour^,Minute^,Month^,Second^,Year /Format:table') DO (
   IF "%%~L"=="" goto s_done
      Set _yyyy=%%L
      Set _mm=00%%J
      Set _dd=00%%G
      Set _hour=00%%H
      SET _minute=00%%I
)
:s_done

:: Pad digits with leading zeros
      Set _mm=%_mm:~-2%
      Set _dd=%_dd:~-2%
      Set _hour=%_hour:~-2%
      Set _minute=%_minute:~-2%

:: Display the date/time in ISO 8601 format:
Set _isodate=%_yyyy%%_mm%%_dd%T%_hour%%_minute%
goto s_execute

:s_error
Set _isodate=error_retrieving_date

:s_execute

Set _outputfile=%userprofile%/Desktop/eLicenser_ACL_%_isodate%.txt

icacls "%programdata%" /c >> %_outputfile%
icacls "%programdata%\eLicenser"\* /t /c >> %_outputfile%
icacls "%programdata%\syncrosoft"\* /t /c >> %_outputfile%
icacls "%programfiles(x86)%\eLicenser"\* /t /c >> %_outputfile%
icacls "%programfiles(x86)%\syncrosoft"\* /t /c >> %_outputfile%
icacls "%programfiles%\eLicenser"\* /t /c >> %_outputfile%
icacls "%windir%\SysWOW64\audcon.sys" /c >> %_outputfile%
icacls "%TEMP%\net-steinberg-sda.4EA4CA71-30AB-4E8A-A087-757CA9B5E747.message" /c >> %_outputfile%
icacls "%TEMP%\net-steinberg-sda.4EA4CA71-30AB-4E8A-A087-757CA9B5E747.message.in-progress" /c >> %_outputfile%
icacls "%TEMP%\net-steinberg-sda.4EA4CA71-30AB-4E8A-A087-757CA9B5E747.lock" /c >> %_outputfile%
